<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Security\Http\Authentication\AuthenticationUtils;

class SecurityController extends AbstractController
{
    #[Route('/login', name:'app_login')]
    public function login(AuthenticationUtils $authentication_utils): Response
    {
        if ($this->getUser()) {
            return $this->redirectToRoute('home');
        }

        // get the login error if there is one
        $error = $authentication_utils->getLastAuthenticationError();
        // last username entered by the user
        $last_username = $authentication_utils->getLastUsername();

        return $this->render(
            'security/login.html.twig',
            [
                'last_username' => $last_username,
                'error' => $error
            ]
        );
    }

    #[Route('/{_locale<%app.supported_locales%>}/logout', name:'app_logout')]
    public function logout(): void
    {
        throw new \LogicException(
            'This method can be blank - it will be intercepted by the logout key on your firewall.'
        );
    }
}
