<?php

namespace App\Form;

use App\Entity\Capsule;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\UrlType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Validator\Constraints\NotBlank;

class CreateCapsuleFormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add(
                'name',
                TextType::class,
                [
                    'constraints' => [new NotBlank(['message' => 'capsule.name.not_blank'])],
                    'label' => 'capsule.name'
                ]
            )
            ->add(
                'video_url',
                UrlType::class,
                [
                    'mapped' => false,
                    'constraints' => [new NotBlank(['message' => 'capsule.video_url.not_blank'])],
                    'label' => 'capsule.video_url'
                ]
            )
            ->add(
                'save',
                SubmitType::class,
                ['label' => 'capsule.create_capsule']
            );
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Capsule::class,
        ]);
    }
}
