<?php

namespace App\Form;

use App\Entity\Group;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;

class SelectCapsuleGroupsFormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $groups = $options['data']['groups'];

        $builder
            ->add('name', EntityType::class, [
                'class' => Group::class,
                'choice_label' => 'name',
                'choices' => $groups,
                'multiple' => true,
                'label' => 'groups.choose',
                'choice_value' => function (?Group $entity) {
                    return $entity ? $entity->getId() : '';
                }
            ])
            ->add(
                'validate',
                SubmitType::class,
                ['label' => 'groups.add.validate']
            );
    }
}
