<?php

namespace App\Tests\acceptance;

class DeleteCapsuleGroupPageTest extends BasePageTest
{
    public function testUserShouldAllowCancelGroupDeletion(): void
    {
        $this->clickLink(
            'Cancel',
            'The user should be able to delete one group from the user the capsule groups page'
        );
    }

    public function testUserShouldBeRedirectedToTheCapsuleGroupListOnCancelGroupDeletion(): void
    {
        $this->clickLink('Cancel', 'The user should be able to cancel capsule group deletion');
    }

    protected function setUp(): void
    {
        parent::setUp();
        $this->setInitialPage();
    }

    private function setInitialPage(): void
    {
        $this->givenUser('defaultUser@localhost.com')
            ->logged()
            ->onPage('en/my_groups')
            ->clickLink('Delete', 'The user should access to a capsule group deletion page');
    }
}
